
import '../../../Helper/Constants/Apiconstants.dart';
import '../../../Model/Response/Authentication/Sms/Smsresponse.dart';
import '../../../Model/Response/Notification/Notificationresponse.dart';
import '../../Provider/Notification/Notificationprovider.dart';

class NotificationRepository{
  NotificationProvider notificationProvider = NotificationProvider();

  Future<NotificationResponse?> createNotification( data) async {
    var result = await notificationProvider.createNotification(data,ApiConstants.notifyUrl);
    return result;
  }


  Future<NotificationResponse?> notifyRider( data) async {
    var result = await notificationProvider.NotifyRider(data,ApiConstants.notifyRider);
    return result;
  }

}